//
//  Student.h
//  StudentManager
//
//  Created by Rich on 2/8/11.
//  Copyright 2011 Swarthmore College. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface Student : NSObject <NSCoding> {
	NSString *studentName;
	NSString *deptMajor;
	int gradyear;
}

+ (Student *)studentWithName:(NSString *)aName
				   deptMajor:(NSString *)aMajor
					gradyear:(int)aYear;

- (id)initWithName:(NSString *)aName
		 deptMajor:(NSString *)aMajor
		  gradyear:(int)aYear;


@property (copy) NSString *studentName;
@property (copy) NSString *deptMajor;
@property int gradyear;

@end
