//
//  StudentTableViewController.h
//  StudentManager
//
//  Created by Rich on 2/9/11.
//  Copyright 2011 Swarthmore College. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Student.h"
#import "StudentDetailViewController.h"

@interface StudentTableViewController : UITableViewController <StudentDetailViewControllerDelegate> {
	NSMutableArray *students;
	NSIndexPath *selectedIndexPath;
	
	StudentDetailViewController *detailViewController;
}

/* for the model */
- (void)saveData;

@property (retain) NSMutableArray *students;
@property (retain) StudentDetailViewController *detailViewController;
@property (retain) NSIndexPath *selectedIndexPath;

@end
